X2Go Bug report logs - #1439
latest release of x2goclient for Ubuntu has dependency on hello

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Seth Galitzer <sgsax@ksu.edu>

Date: Fri, 14 Feb 2020 22:40:02 UTC

Severity: normal

Tags: not-a-bug

Found in version 4.1.2.2

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Fri, 14 Feb 2020 22:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Seth Galitzer <sgsax@ksu.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 14 Feb 2020 22:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Seth Galitzer <sgsax@ksu.edu>
To: submit@bugs.x2go.org
Subject: latest release of x2goclient for Ubuntu has dependency on hello
Date: Fri, 14 Feb 2020 16:38:47 -0600
Package: x2goclient
Version: 4.1.2.2

When installing the latest update for x2goclient on Ubuntu 18.04 from 
the x2go PPA, it has a dependency on the hello package, specifically 
hello-traditional. The full package version is 
4.1.2.2-0~1913~ubuntu18.04.1. I suspect this is unintentional, but 
filing a bug to check. Output from apt below confirms dependency.

$ apt-cache depends x2goclient
x2goclient
  Depends: libc6
  Depends: libcups2
  Depends: libgcc1
  Depends: libldap-2.4-2
  Depends: libqt4-network
  Depends: libqt4-svg
  Depends: libqtcore4
  Depends: libqtgui4
  Depends: libssh-4
  Depends: libstdc++6
  Depends: libx11-6
  Depends: libxpm4
  Depends: openssh-client
    openssh-client:i386
 |Depends: nxproxy
    nxproxy:i386
  Depends: <qvd-nxproxy>
 |Depends: <x2gokdriveclient>
  Depends: hello
    hello-traditional
  Conflicts: <x2goclient-gtk>
  Recommends: openssh-server
    openssh-server:i386
 |Recommends: freerdp2-x11
 |Recommends: rdesktop
  Recommends: freerdp-x11
  Suggests: pinentry-x2go
  Replaces: <x2goclient-gtk>

$ apt-cache rdepends hello
hello
Reverse Depends:
  x2gothinclient-minidesktop
    hello-traditional
  x2gothinclient-minidesktop
    hello-traditional
  x2goclient
    hello-traditional
  junior-system
    hello-traditional
  hello-traditional
    hello-traditional
  hello-traditional

$ apt show x2goclient
Package: x2goclient
Version: 4.1.2.2-0~1913~ubuntu18.04.1
Priority: extra
Section: x11
Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
Installed-Size: 2,793 kB
Depends: libc6 (>= 2.15), libcups2 (>= 1.4.0), libgcc1 (>= 1:3.0), 
libldap-2.4-2 (>= 2.4.7), libqt4-network (>= 4:4.5.3), libqt4-svg (>= 
4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.6.1), libssh-4 (>= 
0.7.3), libstdc++6 (>= 5.2), libx11-6, libxpm4, openssh-client, nxproxy 
| qvd-nxproxy, x2gokdriveclient | hello
Recommends: openssh-server, freerdp2-x11 | rdesktop | freerdp-x11
Suggests: pinentry-x2go
Conflicts: x2goclient-gtk
Replaces: x2goclient-gtk
Download-Size: 1,299 kB
APT-Manual-Installed: yes
APT-Sources: http://ppa.launchpad.net/x2go/stable/ubuntu bionic/main 
amd64 Packages
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
 - session resuming
 - low bandwidth support
 - session brokerage support
 - client-side mass storage mounting support
 - client-side printing support
 - audio support
 - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

--
Seth Galitzer
Systems Coordinator
Computer Science Department
Kansas State University
http://www.cs.ksu.edu/~sgsax
sgsax@ksu.edu
785-532-7790


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Sat, 15 Feb 2020 11:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Feb 2020 11:15:02 GMT) (full text, mbox, link).


Message #10 received at 1439@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Seth Galitzer <sgsax@ksu.edu>, 1439@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello
Date: Sat, 15 Feb 2020 12:11:57 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 invalid
Control: close -1

* On 2/14/20 11:38 PM, Seth Galitzer wrote:
> When installing the latest update for x2goclient on Ubuntu 18.04 from 
> the x2go PPA, it has a dependency on the hello package, specifically 
> hello-traditional. The full package version is 
> 4.1.2.2-0~1913~ubuntu18.04.1. I suspect this is unintentional, but 
> filing a bug to check. Output from apt below confirms dependency.

It's fully intentional! "hello" is a very important package that ANY system
should have, however minimal!


No, seriously, it's intentional. Optional dependencies, like for
x2gokdriveclient, are most often resolved via an OR'd dependency with hello in
Debian packaging, since Debian doesn't truly have support for optional
dependencies and hello is small enough to not cause trouble. We could have made
x2gokdriveclient a Recommends: instead, but eventually it shall really be a hard
dependency, like the nxproxy one.

x2gokdriveclient needs further love (esp. regarding packaging) and is currently
only available for Debian in our upstream repositories - like I mentioned in the
release announcement. Not for Ubuntu, not for RPM-based distros, nothing else
yet. We'll eventually naturally package it, and once it's available
cross-distribution, it'll be a hard dependency. For now, I'd ask you to live
with hello as a nop-replacement. :)



Mihai

[signature.asc (application/pgp-signature, attachment)]

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to 1439-submit@bugs.x2go.org. (Sat, 15 Feb 2020 11:15:02 GMT) (full text, mbox, link).


Notification sent to Seth Galitzer <sgsax@ksu.edu>:
Bug acknowledged by developer. (Sat, 15 Feb 2020 11:15:02 GMT) (full text, mbox, link).


Added tag(s) not-a-bug. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 15 Feb 2020 11:20:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Sat, 15 Feb 2020 15:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Feb 2020 15:25:02 GMT) (full text, mbox, link).


Message #21 received at 1439@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>, 1439@bugs.x2go.org
Cc: Seth Galitzer <sgsax@ksu.edu>
Subject: Re: [X2Go-Dev] Bug#1439: Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello
Date: Sat, 15 Feb 2020 16:23:59 +0100
Hi Mihai,

two things come to mind while reading this:
1. why choose hello and not something that's on the system anyway,
like the kernel or bin-utils or some X package?
2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
hard dependency? Nobody needs it unless he's wants to use it. People
can use x2go without it. So I see it as optional either way...

Uli

On Sat, Feb 15, 2020 at 12:15 PM Mihai Moldovan <ionic@ionic.de> wrote:
>
> Control: tag -1 invalid
> Control: close -1
>
> * On 2/14/20 11:38 PM, Seth Galitzer wrote:
> > When installing the latest update for x2goclient on Ubuntu 18.04 from
> > the x2go PPA, it has a dependency on the hello package, specifically
> > hello-traditional. The full package version is
> > 4.1.2.2-0~1913~ubuntu18.04.1. I suspect this is unintentional, but
> > filing a bug to check. Output from apt below confirms dependency.
>
> It's fully intentional! "hello" is a very important package that ANY system
> should have, however minimal!
>
>
> No, seriously, it's intentional. Optional dependencies, like for
> x2gokdriveclient, are most often resolved via an OR'd dependency with hello in
> Debian packaging, since Debian doesn't truly have support for optional
> dependencies and hello is small enough to not cause trouble. We could have made
> x2gokdriveclient a Recommends: instead, but eventually it shall really be a hard
> dependency, like the nxproxy one.
>
> x2gokdriveclient needs further love (esp. regarding packaging) and is currently
> only available for Debian in our upstream repositories - like I mentioned in the
> release announcement. Not for Ubuntu, not for RPM-based distros, nothing else
> yet. We'll eventually naturally package it, and once it's available
> cross-distribution, it'll be a hard dependency. For now, I'd ask you to live
> with hello as a nop-replacement. :)
>
>
>
> Mihai
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Sat, 15 Feb 2020 16:05:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Feb 2020 16:05:03 GMT) (full text, mbox, link).


Message #26 received at 1439@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: uli42@gmx.de, 1439@bugs.x2go.org
Cc: Seth Galitzer <sgsax@ksu.edu>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [X2Go-Dev] Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello
Date: Sat, 15 Feb 2020 17:00:27 +0100
[Message part 1 (text/plain, inline)]
* On 2/15/20 4:23 PM, Ulrich Sibiller wrote:
> 1. why choose hello and not something that's on the system anyway,
> like the kernel or bin-utils or some X package?

I'm not a DD, so my answer isn't authoritative and Mike#1 can probably explain
this better, but optionaldep | hello seems to be a very common pattern in Debian
packaging. If a DD sees such a dependency, he'll recognize it and its meaning
immediately.

Depending on a package in the base system set (i.e., those marked "essential")
MIGHT be easier, but this is seems to be generally frowned upon because it makes
degrading essential-set packages to optional ones more difficult, if I recall
correctly. I've also read that normal (i.e., optional, non-core/essential)
packages should generally NOT depend upon packages in the essential-set but just
assume them to available unconditionally.


> 2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
> hard dependency? Nobody needs it unless he's wants to use it. People
> can use x2go without it. So I see it as optional either way...

Hm, Mike#1 wanted it to be a hard dependency, but moving it to Recommends might
make sense after all, since other software that X2Go Client *can* make use of,
like FreeRDP2, is also not strictly necessary and merely a recommended package.

Note that Debian installs recommended packages by default (unless users
explicitly configure or tell the package manager not to do this), so user
experience wouldn't be affected by that change anyway.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Sat, 15 Feb 2020 17:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Feb 2020 17:20:02 GMT) (full text, mbox, link).


Message #31 received at 1439@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <uli42@gmx.de>
To: Mihai Moldovan <ionic@ionic.de>, 1439@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [X2Go-Dev] Bug#1439: Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello
Date: Sat, 15 Feb 2020 18:19:07 +0100
Ok, thanks for the clarification!

Uli

On Sat, Feb 15, 2020 at 5:05 PM Mihai Moldovan <ionic@ionic.de> wrote:
>
> * On 2/15/20 4:23 PM, Ulrich Sibiller wrote:
> > 1. why choose hello and not something that's on the system anyway,
> > like the kernel or bin-utils or some X package?
>
> I'm not a DD, so my answer isn't authoritative and Mike#1 can probably explain
> this better, but optionaldep | hello seems to be a very common pattern in Debian
> packaging. If a DD sees such a dependency, he'll recognize it and its meaning
> immediately.
>
> Depending on a package in the base system set (i.e., those marked "essential")
> MIGHT be easier, but this is seems to be generally frowned upon because it makes
> degrading essential-set packages to optional ones more difficult, if I recall
> correctly. I've also read that normal (i.e., optional, non-core/essential)
> packages should generally NOT depend upon packages in the essential-set but just
> assume them to available unconditionally.
>
>
> > 2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
> > hard dependency? Nobody needs it unless he's wants to use it. People
> > can use x2go without it. So I see it as optional either way...
>
> Hm, Mike#1 wanted it to be a hard dependency, but moving it to Recommends might
> make sense after all, since other software that X2Go Client *can* make use of,
> like FreeRDP2, is also not strictly necessary and merely a recommended package.
>
> Note that Debian installs recommended packages by default (unless users
> explicitly configure or tell the package manager not to do this), so user
> experience wouldn't be affected by that change anyway.
>
>
>
> Mihai
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1439; Package x2goclient. (Fri, 21 Feb 2020 14:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 21 Feb 2020 14:10:02 GMT) (full text, mbox, link).


Message #36 received at 1439@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>
Cc: uli42@gmx.de, 1439@bugs.x2go.org, Seth Galitzer <sgsax@ksu.edu>
Subject: Re: [X2Go-Dev] Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello
Date: Fri, 21 Feb 2020 14:05:30 +0000
[Message part 1 (text/plain, inline)]
Hi Mihai,

On  Sa 15 Feb 2020 17:00:27 CET, Mihai Moldovan wrote:

> * On 2/15/20 4:23 PM, Ulrich Sibiller wrote:
>> 1. why choose hello and not something that's on the system anyway,
>> like the kernel or bin-utils or some X package?
>
> I'm not a DD, so my answer isn't authoritative and Mike#1 can  
> probably explain
> this better, but optionaldep | hello seems to be a very common  
> pattern in Debian
> packaging. If a DD sees such a dependency, he'll recognize it and its meaning
> immediately.
>
> Depending on a package in the base system set (i.e., those marked  
> "essential")
> MIGHT be easier, but this is seems to be generally frowned upon  
> because it makes
> degrading essential-set packages to optional ones more difficult, if I recall
> correctly. I've also read that normal (i.e., optional, non-core/essential)
> packages should generally NOT depend upon packages in the  
> essential-set but just
> assume them to available unconditionally.
>
>
>> 2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
>> hard dependency? Nobody needs it unless he's wants to use it. People
>> can use x2go without it. So I see it as optional either way...
>
> Hm, Mike#1 wanted it to be a hard dependency, but moving it to  
> Recommends might
> make sense after all, since other software that X2Go Client *can*  
> make use of,
> like FreeRDP2, is also not strictly necessary and merely a  
> recommended package.
>
> Note that Debian installs recommended packages by default (unless users
> explicitly configure or tell the package manager not to do this), so user
> experience wouldn't be affected by that change anyway.
>
>
>
> Mihai

let's please make a Recommends: relation out of this here.

Whenever x2gokdriveclient has been released, then we can still switch  
this to Depends:.

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Mar 2020 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Sep 26 16:14:37 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.